{% set isAllowed = is_granted('ROLE_SERVICE_COMMITTEE') is same as true or is_granted('ROLE_TERRITORY') is same as true %}
{% extends 'base.html.twig' %}
{% block breadcrumb %}
  <li class="breadcrumb-item">
    <a href="{{ path('app_territory_areas_list') }}">Territoires</a>
  </li>
  <li class="breadcrumb-item active">
    <a href="#">Suivi des territoires</a>
  </li>
{% endblock %}
{% block header_title %}
  Suivi des territoires
{% endblock %}

{% block body %}
  <div class="col-12">
    <div class="row mb-2">
      {% for message in app.flashes('success') %}
        <div class="alert alert-fill alert-icon alert-success alert-dismissible">
          <em class="icon ni ni-check-circle-fill"></em>
          {{ message }}
        </div>
      {% endfor %}

    </div>
    {% if isAllowed %}
      <div class="row mb-4">
        <div class="col-lg-12 col-sm-12 col-12 col-xxl-12">
          <div class="card card-bordered card-full">
            <div class="card-inner">
              <div class="card-title-group">
                <div class="card-title">
                  <h6 class="title"><span class="me-1">Suivi par : {{ user.fullName }}</span></h6>
                </div>
              </div>
            </div>
            <div class="card-inner p-0 border-top">
              <div class="nk-tb-list nk-tb-orders">
                <div class="nk-tb-item nk-tb-head">
                  <div class="nk-tb-col tb-col"><span>#</span></div>
                  <div class="nk-tb-col"><span>Sortie le</span></div>
                  <div class="nk-tb-col tb-col"><span>Procl.</span></div>
                  <div class="nk-tb-col tb-col"><span></span></div>
                </div>

                {% for history in histories %}
                  <div class="nk-tb-item">
                    <div class="nk-tb-col">
                      <div class="user-card">
                        <div class="user-name">
                          <span class="tb-lead"><a href="{{ path('app_territory_show', {'territory': history.territory.id}) }}">{{ history.territory.area.title|slice(0, 3)|upper }}-{{ history.territory.title }}</a></span>
                        </div>
                      </div>
                    </div>
                    {% set lastIndex = history.territory.histories|length-1 %}

                    {% if history.territory.histories|length > 0 %}
                      <div class="nk-tb-col tb-col">
                        {% if history.outDate|territoryDateValidation('4 months')|date('U') < "now"|date('U') and history.inDate is null %}
                          <span class="badge badge-dot bg-danger">{{ history.outDate|date('d/m/y') }}</span>
                        {% else %}
                          <span class="badge badge-dot bg-secondary">{{ history.outDate|date('d/m/y') }}</span>
                        {% endif %}

                      </div>

                      <div class="nk-tb-col tb-col">
                        <span class="tb-lead"><a href="{{ path('app_publisher_show', {'id': history.publisher.id }) }}">{{ history.publisher.fullName }}</a></span>
                      </div>
                    {% else %}
                      <div class="nk-tb-col tb-col"></div>
                      <div class="nk-tb-col tb-col"></div>
                      <div class="nk-tb-col tb-col"></div>
                    {% endif %}


                    <div class="nk-tb-col nk-tb-col-action">
                      <div class="dropdown">
                        <a class="text-soft dropdown-toggle btn btn-icon btn-trigger" data-bs-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                        <div class="dropdown-menu dropdown-menu-end dropdown-menu-xs">
                          <ul class="link-list-plain">
                            <li><a href="{{ path('app_territory_show', {'territory': history.territory.id}) }}">Ouvrir</a></li>
                            {% if is_granted('ROLE_ADMIN') is same as true %}
                              <li><a href="{{ path('app_territory_remove', {'territory': history.territory.id}) }}">Supprimer</a></li>
                            {% endif %}
                          </ul>
                        </div>
                      </div>
                    </div>
                  </div>
                {% endfor %}
              </div>
            </div>
          </div>
        </div>
      </div>
    {% endif %}

  </div>
{% endblock %}
